#include <iostream>
int main()
{
    int X, Y, broj = 0;
    int Xc[3], Yc[3];
    std::cout << "unesi broj X \n";
    std::cin >> X;
    std::cout << "unesi broj Y \n";
    std::cin >> Y;
    Xc[0] = X % 10;
    Xc[2] = X / 100;
    Xc[1] = X / 10 - Xc[2] * 10;
    Yc[0] = Y % 10;
    Yc[2] = Y / 100;
    Yc[1] = Y / 10 - Yc[2] * 10;
    if (Xc[0] < Yc[0])
        broj = broj + Yc[0];
    else
        broj = broj + Xc[0];
    if (Xc[1] < Yc[1])
        broj = broj + Yc[1] * 10;
    else
        broj = broj + Xc[1] * 10;
    if (Xc[2] < Yc[2])
        broj = broj + Yc[2] * 100;
    else
        broj = broj + Xc[2] * 100;
    std::cout << "broj je: " << broj << "\n";
}